# Generated from bson-1.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname rhc-rest
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

%if 0%{?fedora} >= 17
%global rubyabi 1.9.1
%else
%global rubyabi 1.8
%endif

Summary: Ruby bindings for OpenShift REST API
Name: rubygem-%{gemname}
Version: 0.0.7
Release: 2%{?dist}
Group: Development/Libraries
License: ASL 2.0 
URL: http://openshift.redhat.com
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem

BuildArch: noarch
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: rubygem(json)
Requires: rubygem(rest)
Provides: rubygem(%{gemname}) = %{version}


%description
Ruby bindings for OpenShift REST API


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}


%description doc
Documentation for %{name}


%prep
#%setup -q -c -T


%build


%install
mkdir -p %{buildroot}%{gemdir}

gem install --local --install-dir %{buildroot}%{gemdir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}

# Bug with the current GEM, these will be fixed next version
cd %{buildroot}%{gemdir}/gems/%{gemname}-%{version}
rm -f doc/doc/created.rid
rmdir doc/doc
chmod 0664 doc/images/*.png
chmod 0755 bin/sample-usage.rb


%files
%doc %{gemdir}/gems/%{gemname}-%{version}/LICENSE
%{gemdir}/


%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}


%changelog
* Wed Apr 11 2012 Wesley Hearn <whearn@redhat.com> - 0.0.7-2
- Cleaned up the spec file to comply with Fedora packaging guidelines

* Mon Apr 09 2012 Wesley Hearn <whearn@redhat.com> - 0.0.7-1
- Initial package
